LibreELEC 9.0 / Kodi 18.X for Minix X8,X8H,X8H+

  • datrh :

    First thank for your job ! ;)

    I try to use/install your LibreELEC 18.1 version on a neo X8. Boot correctly with procedure on your #1 post. Connection with ssh work's too :

    Code
    1. ##############################################
    2. # LibreELEC #
    3. # https://libreelec.tv #
    4. ##############################################
    5. LibreELEC (community): devel-20190305214802-782f78e (X8-X8H.arm)

    But I've got to error:

    1# when I stop a video all system crash, I need to unplug/replug alim to restart.

    which log I need to paste for help you ?

    2# when I try to installtointernal :

    Code
    1. # installtointernal
    2. -sh: installtointernal: Permission denied


    I've tried FINAL version too, installtointernal works but crash on video stop.


    Thanks

  • 1# you need to activate "adjust refresh rate" and define a white list in kodi

    2# my bad , it's a recurring missing +x rights. something that i regularly miss to commit in git

  • Testing your "LibreELEC-X8-H_Series.arm-8.2RC-kodi_17.6-final.img.gz" on the X8 Plus with Finless 5.1 firmware(Probox ex2). Works very good and again true shutdown(0 watt). My question is about the Kodi power menu: "Boot from internal(boot to andoid)" just boots the thing back to the SD-card.

    Is that because it's the finless bootloader instead of the Minix one?

    Tried it also with Super Favorites > command and used: "System.ExecWait("/usr/sbin/rebootfromnand" but it dont react to that.

    Code
    1. <item id="xx">
    2. <label>Reboot from internal</label>
    3. <onclick>System.ExecWait("/usr/sbin/rebootfromnand")</onclick>
    4. <visible>System.CanReboot</visible>
    5. </item>

    Dont work either, I searched through the forum and could not find someone with a finless rom that could provide any info on that.

  • My question is about the Kodi power menu: "Boot from internal(boot to andoid)" just boots the thing back to the SD-card.

    Is that because it's the finless bootloader instead of the Minix one?

    no i don't think so, it was the same with the minix bootloader.

    The reboot script must be reviewed.

    there was also a menu item to launch the "installtointernal" script.



    it's something that may be reintroduce if needed

  • Confused end user here,

    hoping to update 2 Minix X8H Plus boxes to LibreELEC 9 with Kodi 18.1.


    1. Burnt image ( LibreELEC-X8-X8H.arm-9.1-devel-20190305214802-782f78e.img ) to SD card, 2. Browsed the SD and rename "boot_autoscript" to "boot.scr"

    3. Tried to run "installtointernal" in SSH but got "permissions denied error"

    4. Updated permissions:

    LibreELEC:~ # cp /usr/sbin/installtointernal /tmp

    LibreELEC:~ # chmod a+x /tmp/installtointernal

    LibreELEC:~ # /tmp/installtointernal

    5. Kodi now boots which is great but as soon as I try to install an add-on from default LibreELEC Add-ons (Team LibreELEC - 9.0.1) repo I get "Could not connect to repository".


    Tried to manually install the add-on but its nowhere to be found (PVR/TVMosaic), VPN and another addon.


    Tried to install the Final img ( LibreELEC-X8-X8H.arm-9.0-devel-20190202105130-8798984.img ) but this img file gives me a corrupt filesystem error even after 4 attempts.


    Your help would be much appreciated.

  • Confused end user here,

    hoping to update 2 Minix X8H Plus boxes to LibreELEC 9 with Kodi 18.1.

    i suggest to use the 18 final x8h-plus image.

    the 18.1 image is still a work in progress. i hope to solve it this week-end.

  • Thanks for the reply and your great work datrh

    As mentioned I did try the “Final” image on 2 X8H+ but both kept giving the file system error on install. Not sure what the issue is there.


    Please let me know if there is a fix for the libreELEC repo “Could not connect to repository” as all else is working really well:thumbup:

  • libreELEC repo “Could not connect to repository”

    i guess i need to build the addons for LE9.1 as devices running Linux 3.10 aren't supported anymore


    As mentioned I did try the “Final” image on 2 X8H+ but both kept giving the file system error on install. Not sure what the issue is there.

    can you try the 17.6 image and let me know which one boots (see #1). Maybe the x8hp dtb's story is back.


    and btw what's your firmware version?

  • Good question datrh I didn't even check the fw - now updated both boxes to X8H_PLUS_FW011_20170119.img - our household awaits when you 9.1 is ready to test. Thanks again for your great works!

  • datrh with X8H PLUS FW011 installed, both 9.0 and 9.1 boot fine. Issue with accessing "Could not connect to repository” persists on 9.1. I'm guessing there is probably no point testing 17.6 now...